{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"/"}],"paths":{"/user/{userId}":{"get":{"tags":["user-controller"],"operationId":"getUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}},"put":{"tags":["user-controller"],"operationId":"updateUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitProfileUpdateRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}},"delete":{"tags":["user-controller"],"operationId":"deleteUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No Content"}}}},"/user/{userId}/termsOfService":{"put":{"tags":["terms-of-service-controller"],"summary":"Updates the acceptingDate of termsAndConditions","operationId":"updateTermsOfService","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TermsOfServiceUpdateBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitProfile"}}}}}}},"/user/{userId}/paymentAccount":{"get":{"tags":["payment-controller"],"operationId":"getPaymentAccounts","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payment"}}}}}},"put":{"tags":["payment-controller"],"operationId":"updatePaymentAccount","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentPostPutRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentPostPutResponseBody"}}}}}},"post":{"tags":["payment-controller"],"operationId":"createPaymentAccount","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentPostPutRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentPostPutResponseBody"}}}}}}},"/user/{userId}/paymentAccount/{paymentMethodId}/favour":{"put":{"tags":["payment-controller"],"operationId":"favorPaymentMethod","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"paymentMethodId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/Payment"}}}}}}},"/user/{userId}/mobilityProviders/{mobilityProviderNumber}":{"put":{"tags":["mobility-provider-controller"],"operationId":"updateMobilityProvider","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"mobilityProviderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBodyFairtiq"},{"$ref":"#/components/schemas/MobilityProviderUpdateBodyIoki"},{"$ref":"#/components/schemas/MobilityProviderUpdateBodyKVV"},{"$ref":"#/components/schemas/MobilityProviderUpdateBodyNextbike"},{"$ref":"#/components/schemas/MobilityProviderUpdateBodyTGO"},{"$ref":"#/components/schemas/MobilityProviderUpdateBodyVoi"},{"$ref":"#/components/schemas/MobilityProviderUpdateBodyZeo"}]}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProviderStandardResponse"}}}}}},"post":{"tags":["mobility-provider-controller"],"operationId":"createMobilityProvider","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"mobilityProviderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBodyFairtiq"},{"$ref":"#/components/schemas/MobilityProviderCreateBodyIoki"},{"$ref":"#/components/schemas/MobilityProviderCreateBodyKVV"},{"$ref":"#/components/schemas/MobilityProviderCreateBodyNextbike"},{"$ref":"#/components/schemas/MobilityProviderCreateBodyStadtmobil"},{"$ref":"#/components/schemas/MobilityProviderCreateBodyTGO"},{"$ref":"#/components/schemas/MobilityProviderCreateBodyVoi"},{"$ref":"#/components/schemas/MobilityProviderCreateBodyZeo"}]}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProviderStandardResponse"}}}}}}},"/user/{userId}/mobilityProviders/{mobilityProviderNumber}/state":{"put":{"tags":["mobility-provider-controller"],"summary":"Deactivates or activates the specified mobility provider account.","operationId":"updateMobilityProviderState","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"mobilityProviderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProviderStandardResponse"}}}}}}},"/user/{userId}/mobilityProfile":{"get":{"tags":["mobility-profile-controller"],"operationId":"getMobilityProfile","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProfile"}}}}}},"put":{"tags":["mobility-profile-controller"],"operationId":"updateMobilityProfile","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProfile"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProfile"}}}}}},"patch":{"tags":["mobility-profile-controller"],"description":"endpoint to update just the deutscheBahnCard of mobilityProvider. Note: If deutscheBahnCard is null, null will be saved.","operationId":"updateDeutscheBahnCard","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeutscheBahnCardRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProfile"}}}}}}},"/user/{userId}/lock":{"put":{"tags":["user-controller"],"operationId":"lockUser","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CustomerAccountLockRequest"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/user/{userId}/favoriteLocations/{favoriteLocationId}":{"get":{"tags":["favorite-location-controller"],"operationId":"getFavoriteLocation","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"favoriteLocationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteLocation"}}}}}},"put":{"tags":["favorite-location-controller"],"operationId":"updateFavoriteLocation","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"favoriteLocationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteLocation"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteLocation"}}}}}},"delete":{"tags":["favorite-location-controller"],"operationId":"deleteFavoriteLocation","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"favoriteLocationId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No Content"}}}},"/user/{userId}/dataProtectionNotice":{"put":{"tags":["data-protection-notice-controller"],"operationId":"updateDataProtection","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DataProtectionNoticeUpdateBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/InitProfile"}}}}}}},"/user/{userId}/confirmPaymentAccount":{"put":{"tags":["payment-controller"],"operationId":"confirmPaymentAccount","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseStatusCode"}}}}}}},"/user/{userId}/bookingItems/{bookingItemId}":{"get":{"tags":["booking-item-controller"],"summary":"gets a bookingItem. This endpoint came with the implementation of ioki","operationId":"getBookingItem","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingItemId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingItem"}}}}}},"put":{"tags":["booking-item-controller"],"summary":"stadtmobil only: updates an existing booking item","operationId":"updateBookingItem","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingItemId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingItemUpdateRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Booking"}}}}}}},"/user/{userId}/bookingItems/{bookingItemId}/return":{"put":{"tags":["booking-item-controller"],"summary":"ends an active rental","operationId":"endBookingItem","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingItemId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingItemReturnRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Booking"}}}}}}},"/user/{userId}/bookingItems/{bookingItemId}/rent":{"put":{"tags":["booking-item-controller"],"summary":"rents a vehicle and starts the the rental","operationId":"startBookingItem","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingItemId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingItemRentRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Booking"}}}}}}},"/user/{userId}/bookingItems/{bookingItemId}/cancel":{"put":{"tags":["booking-item-controller"],"summary":"cancel existing booking item","operationId":"cancelBookingItem","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingItemId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Booking"}}}}}}},"/user/{userId}/bookingItems/{bookingItemId}/break":{"put":{"tags":["booking-item-controller"],"summary":"nextbike only: pauses and reactivates a rental","operationId":"pauseBookingItem","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingItemId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingItemBreakRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Booking"}}}}}}},"/user/{userId}/appRating":{"get":{"tags":["app-rating-controller"],"operationId":"getAppRating","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppRating"}}}}}},"put":{"tags":["app-rating-controller"],"operationId":"sendFeedback","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"feedback","in":"query","required":true,"schema":{"type":"string","enum":["LIKE","DISLIKE","NEVER_AGAIN","REMIND_ME_LATER","NATIVE_APP_RATING_SHOWN"]}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AppRating"}}}}}}},"/user":{"post":{"tags":["user-controller"],"operationId":"createUser","responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/user/{userId}/validateSmsPin":{"post":{"tags":["user-validation-controller"],"operationId":"validateSmsPin","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PinPostBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/user/{userId}/validateEmail":{"post":{"tags":["user-validation-controller"],"operationId":"validateEmail","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PinPostBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}}}}}},"/user/{userId}/sendSms":{"post":{"tags":["user-validation-controller"],"operationId":"sendSms","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpStatusResponse"}}}}}}},"/user/{userId}/sendEmail":{"post":{"tags":["user-validation-controller"],"operationId":"sendEmail","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpStatusResponse"}}}}}}},"/user/{userId}/quick-start":{"post":{"tags":["quick-start-controller"],"operationId":"createUpdateDeleteQuickStart","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuickStartPostBody"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuickStart"}}}}}}},"/user/{userId}/payments/reserve":{"post":{"tags":["payments-controller"],"operationId":"reserve","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentsReservePostRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentItem"}}}}}}},"/user/{userId}/paymentAccountPayPal":{"post":{"tags":["payment-controller"],"operationId":"createPaymentAccountPayPal","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentPayPalPostRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaymentPayPalPostResponseBody"}}}}}}},"/user/{userId}/mobilityProviders/{mobilityProviderNumber}/subscription":{"post":{"tags":["mobility-provider-controller"],"summary":"KVV only: Connects a existing subscription to the contract.","operationId":"createMobilityProviderSubscription","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"mobilityProviderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProviderSubscribeBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MobilityProviderStandardResponse"}}}}}},"delete":{"tags":["mobility-provider-controller"],"operationId":"deleteMobilityProviderSubscription","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"mobilityProviderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string"}}}}}}},"/user/{userId}/mobilityProviders/{mobilityProviderNumber}/pinRecover":{"post":{"tags":["mobility-provider-controller"],"summary":"Nextbike only: Connects a existing subscription to the contract.","operationId":"recoverMobilityProviderPin","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"mobilityProviderNumber","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HttpStatusResponse"}}}}}}},"/user/{userId}/favoriteLocations":{"get":{"tags":["favorite-location-controller"],"operationId":"getAllFavoriteLocations","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FavoriteLocation"}}}}}}},"post":{"tags":["favorite-location-controller"],"operationId":"createFavoriteLocation","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteLocation"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteLocation"}}}}}}},"/user/{userId}/favorite-connection-search":{"get":{"tags":["favorite-connection-search-controller"],"operationId":"getFavoriteConnectionSearches","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FavoriteConnectionSearch"}}}}}}},"post":{"tags":["favorite-connection-search-controller"],"operationId":"createFavoriteConnectionSearch","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteConnectionSearchPostBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteConnectionSearch"}}}}}}},"/user/{userId}/device":{"post":{"tags":["user-device-controller"],"summary":"register a device so we can send push messages to it","operationId":"registerDeviceToken","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDeviceBody"}}},"required":true},"responses":{"201":{"description":"Created"}}},"delete":{"tags":["user-device-controller"],"operationId":"remove","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDeviceBody"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/user/{userId}/dTicketUni":{"get":{"tags":["student-ticket-controller"],"summary":"get Active D-Tickets-Uni based on userId","operationId":"getActiveDTicketUni","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudentTicket"}}}}}},"post":{"tags":["student-ticket-controller"],"summary":"creates D-Tickets-Uni based on kit-token","description":"creates D-Tickets-Uni for one semester and saves those tickets to the database. Please consider: tickets for months in the past will not be created. The tickets is just available for the given user.","operationId":"createDTicketUni","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StudentTicketTokenBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StudentTicket"}}}}}}}},"/user/{userId}/confirmPaymentAccountPayPal":{"post":{"tags":["payment-controller"],"operationId":"confirmPaymentAccountPayPal","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ConfirmPayPalRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Payment"}}}}}}},"/user/{userId}/commuting-connection":{"get":{"tags":["commuting-connection-controller"],"operationId":"getCommutingConnections","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CommutingConnection"}}}}}}},"post":{"tags":["commuting-connection-controller"],"operationId":"createCommutingConnection","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommutingConnectionSmuRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommutingConnection"}}}}}}},"/user/{userId}/bookings":{"get":{"tags":["booking-controller"],"summary":"Gets a List of bookings.","operationId":"getBookings","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"bookingItemId","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"from","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"to","in":"query","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"bookingType","in":"query","required":false,"schema":{"type":"string"}},{"name":"rentalState","in":"query","required":false,"schema":{"type":"string"}},{"name":"saleType","in":"query","required":false,"schema":{"type":"string"}},{"name":"mobilityProvider","in":"query","required":false,"schema":{"type":"string","enum":["KVV","NEXTBIKE","STADTMOBIL","VOI","IOKI","TGO","NEXTBIKEORTENAUMOBIL","KVVORTENAUMOBIL","STADTMOBILORTENAUMOBIL","VOIORTENAUMOBIL","IOKIORTENAUMOBIL","TGOREGIOMOVE","ZEO"]}},{"name":"skip","in":"query","required":false,"schema":{"type":"integer","format":"int32","minimum":0}},{"name":"take","in":"query","required":false,"schema":{"type":"integer","format":"int32","minimum":0}},{"name":"sort","in":"query","required":false,"schema":{"type":"string"}},{"name":"productType","in":"query","required":false,"schema":{"type":"string","enum":["ALL","BOOKINGS_EXCEPT_HOMEZONES","ONLY_HOMEZONES"]}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingResponse"}}}}}},"post":{"tags":["booking-controller"],"summary":"Gets the requested price and may create a booking.","operationId":"createBooking","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BookingRequestBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Booking"}}}}}}},"/user/{userId}/bookingItems/{bookingItemId}/openLock":{"post":{"tags":["booking-item-controller"],"summary":"nextbike only: opens the lock on the bike","operationId":"openLockBookingItem","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"bookingItemId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseStatusCode"}}}}}}},"/user/{userId}/set-highq-id":{"patch":{"tags":["user-controller"],"operationId":"setHighQId","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/HighqRequestBody"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/user/{userId}/favorite-connection-search/{favoriteConnectionSearchId}":{"delete":{"tags":["favorite-connection-search-controller"],"operationId":"deleteFavoriteConnectionSearch","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"favoriteConnectionSearchId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["favorite-connection-search-controller"],"operationId":"patchFavoriteConnectionSearch","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"favoriteConnectionSearchId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteConnectionSearchPatchBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavoriteConnectionSearch"}}}}}}},"/user/{userId}/commuting-connection/{commutingConnectionId}":{"delete":{"tags":["commuting-connection-controller"],"operationId":"deleteCommutingConnection","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"commutingConnectionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}}},"patch":{"tags":["commuting-connection-controller"],"operationId":"patchCommutingConnection","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"commutingConnectionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommutingConnectionPatchBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CommutingConnection"}}}}}}},"/user/{userId}/mobilityProviders/{mobilityProviderNumber}/paymentValidation":{"get":{"tags":["mobility-provider-controller"],"summary":"Fairtiq only: validates, if the payment is valid for fairtiq bookings.","description":"This should always be requested before check in. If 200er is responded payment is valid, if some error code was responded, there something not valid. The Init error message describe an error.","operationId":"paymentValidation","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"mobilityProviderNumber","in":"path","required":true,"schema":{"type":"string","enum":["15","16"]}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}}}},"/user/{userId}/externalBookings":{"get":{"tags":["external-bookings-controller"],"summary":"Gets a List of external bookings, which are currently valid.","operationId":"getExternalBookings","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExternalBookingResponse"}}}}}}},"/applicationInfo/version":{"get":{"tags":["application-info-controller"],"operationId":"version","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object","additionalProperties":{"type":"string"}}}}}}}},"/user/{userId}/paymentAccount/{paymentMethodId}":{"delete":{"tags":["payment-controller"],"operationId":"deletePaymentMethod","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"paymentMethodId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK"}}}},"/user/{userId}/delete-highq-id":{"delete":{"tags":["user-controller"],"operationId":"deleteHighQId","parameters":[{"name":"userId","in":"path","required":true,"schema":{"type":"string"}},{"name":"ignoreCache","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No Content"}}}}},"components":{"schemas":{"InitAddress":{"type":"object","properties":{"addressLine1":{"type":"string"},"addressLine2":{"type":"string"},"postalCode":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"}},"required":["addressLine1","city","country","postalCode"]},"InitProfileUpdateRequestBody":{"type":"object","properties":{"FirstName":{"type":"string"},"LastName":{"type":"string"},"DateOfBirth":{"type":"string","format":"date-time"},"Gender":{"type":"string","enum":["UNKNOWN","MALE","FEMALE","NONBINARY"]},"Salutation":{"type":"string","enum":["MR","MRS","COMPANY","UNKNOWN"]},"Address":{"$ref":"#/components/schemas/InitAddress"},"DataProtectionNoticeAccepted":{"type":"string","format":"date-time"}},"required":["Address","DateOfBirth","FirstName","LastName"]},"AppRating":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"user":{"$ref":"#/components/schemas/User"},"feedbackReceived":{"type":"string","format":"date-time","description":"indicates the timestamp at which the feedback has been received"},"feedback":{"type":"string","description":"indicates the status of the sent feedback","enum":["LIKE","DISLIKE","NEVER_AGAIN","REMIND_ME_LATER","NATIVE_APP_RATING_SHOWN"]},"numberOfSuccessfulBookings":{"type":"integer","format":"int32","description":"indicates the number of successful voi and kvv bookings (currently only relevant in regiomove)"}}},"CommutingConnection":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"fromLat":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":90.0,"minimum":-90.0},"fromLng":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":180.0,"minimum":-180.0},"toLat":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":90.0,"minimum":-90.0},"toLng":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":180.0,"minimum":-180.0},"name":{"type":"string"},"preTripCheckWindow":{"type":"integer","format":"int64"},"connectionStart":{"$ref":"#/components/schemas/LocalTime"},"connectionStartWindow":{"$ref":"#/components/schemas/LocalTime"},"operationWeekDays":{"type":"array","items":{"type":"integer","format":"int32"},"uniqueItems":true},"notificationType":{"type":"string","enum":["ALWAYS_NOTIFY","NOTIFY_ON_DEVIATION","NOTIFICATION_DISABLED"]},"notificationStatus":{"type":"string","enum":["RESET","OK_MESSAGE_SENT","DEVIATIONS_SENT","CONNECTION_NOT_FOUND_SENT","CONNECTION_REQUEST_ERROR_SENT","CONNECTION_CANCELLED_SENT"]},"footwayDepartureLat":{"type":"number","format":"double"},"footwayDepartureLng":{"type":"number","format":"double"},"footwayDepartureTime":{"$ref":"#/components/schemas/LocalTime"},"footwayArrivalLat":{"type":"number","format":"double"},"footwayArrivalLng":{"type":"number","format":"double"},"footwayArrivalTime":{"$ref":"#/components/schemas/LocalTime"},"departureName":{"type":"string"},"arrivalName":{"type":"string"},"triasDelayReports":{"type":"array","items":{"$ref":"#/components/schemas/TriasReportEntity"}},"commutingConnectionParts":{"type":"array","items":{"$ref":"#/components/schemas/CommutingConnectionPart"}}},"required":["arrivalName","connectionStart","connectionStartWindow","departureName","fromLat","fromLng","name","notificationStatus","notificationType","operationWeekDays","preTripCheckWindow","toLat","toLng"]},"CommutingConnectionPart":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"vehicleId":{"type":"string"},"vehicleLineNumber":{"type":"string"},"departureStationId":{"type":"string"},"arrivalStationId":{"type":"string"},"scheduledDepartureTime":{"$ref":"#/components/schemas/LocalTime"},"scheduledArrivalTime":{"$ref":"#/components/schemas/LocalTime"},"lineColor":{"type":"string"}},"required":["arrivalStationId","departureStationId","scheduledArrivalTime","scheduledDepartureTime","vehicleId","vehicleLineNumber"]},"Coordinate":{"type":"object","properties":{"x":{"type":"number","format":"double"},"y":{"type":"number","format":"double"},"z":{"type":"number","format":"double"},"m":{"type":"number","format":"double"},"valid":{"type":"boolean"},"coordinate":{"$ref":"#/components/schemas/Coordinate"}}},"CoordinateSequence":{"type":"object","properties":{"measures":{"type":"integer","format":"int32"},"dimension":{"type":"integer","format":"int32"}}},"CoordinateSequenceFactory":{"type":"object"},"DriverLicense":{"type":"object","properties":{"identityNumber":{"type":"string"},"birthPlace":{"type":"string"},"driverLicenseNumber":{"type":"string"},"driverLicenseIssued":{"type":"string"},"driverLicenseIssuedPlace":{"type":"string"},"driverLicenseAgency":{"type":"string"},"driverLicenseClassesAllowed":{"type":"string"},"driverLicenseValidFrom":{"type":"string"},"driverLicenseValidUntil":{"type":"string"}}},"Envelope":{"type":"object","properties":{"width":{"type":"number","format":"double"},"null":{"type":"boolean"},"height":{"type":"number","format":"double"},"diameter":{"type":"number","format":"double"},"minX":{"type":"number","format":"double"},"maxX":{"type":"number","format":"double"},"minY":{"type":"number","format":"double"},"maxY":{"type":"number","format":"double"},"area":{"type":"number","format":"double"}}},"FavoriteConnectionSearch":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"time":{"$ref":"#/components/schemas/LocalTime"},"timeEvent":{"type":"string","enum":["DEPARTURE","ARRIVAL"]},"relativeSearchDate":{"type":"string","enum":["TODAY","TOMORROW","NOW"]},"departure":{"$ref":"#/components/schemas/StopEvent"},"arrival":{"$ref":"#/components/schemas/StopEvent"}},"required":["arrival","departure","name","relativeSearchDate","time","timeEvent"]},"FavoriteLocation":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"user":{"$ref":"#/components/schemas/User"},"name":{"type":"string"},"icon":{"type":"string"},"point":{"$ref":"#/components/schemas/Point"},"featureId":{"type":"string"},"source":{"type":"string"},"type":{"type":"string"},"subType":{"type":"string"}},"required":["featureId","name","point","source","type"]},"Geometry":{"type":"object","properties":{"envelope":{"$ref":"#/components/schemas/Geometry"},"factory":{"$ref":"#/components/schemas/GeometryFactory"},"userData":{"type":"object"},"length":{"type":"number","format":"double"},"empty":{"type":"boolean"},"valid":{"type":"boolean"},"simple":{"type":"boolean"},"srid":{"type":"integer","format":"int32"},"geometryType":{"type":"string"},"numGeometries":{"type":"integer","format":"int32"},"precisionModel":{"$ref":"#/components/schemas/PrecisionModel"},"coordinate":{"$ref":"#/components/schemas/Coordinate"},"coordinates":{"type":"array","items":{"$ref":"#/components/schemas/Coordinate"}},"numPoints":{"type":"integer","format":"int32"},"rectangle":{"type":"boolean"},"area":{"type":"number","format":"double"},"centroid":{"$ref":"#/components/schemas/Point"},"interiorPoint":{"$ref":"#/components/schemas/Point"},"boundary":{"$ref":"#/components/schemas/Geometry"},"boundaryDimension":{"type":"integer","format":"int32"},"envelopeInternal":{"$ref":"#/components/schemas/Envelope"},"dimension":{"type":"integer","format":"int32"}}},"GeometryFactory":{"type":"object","properties":{"precisionModel":{"$ref":"#/components/schemas/PrecisionModel"},"coordinateSequenceFactory":{"$ref":"#/components/schemas/CoordinateSequenceFactory"},"srid":{"type":"integer","format":"int32"}}},"InitProfile":{"type":"object","properties":{"customerAccountId":{"type":"string"},"cellPhoneNumber":{"type":"string"},"isCellPhoneNumberConfirmed":{"type":"boolean"},"email":{"type":"string"},"isEmailConfirmed":{"type":"boolean"},"state":{"type":"string"},"salutation":{"type":"string"},"firstName":{"type":"string"},"lastName":{"type":"string"},"gender":{"type":"string","enum":["UNKNOWN","MALE","FEMALE","NONBINARY"]},"dateOfBirth":{"type":"string","format":"date-time"},"hasDrivingLicense":{"type":"boolean"},"hasRideSubscription":{"type":"boolean","description":"true, if the user has a ride(service provide) subscription, which is needed for de-tickets. But it does not mean, that the user has a active dTicket."},"acceptTermsAndConditions":{"type":"string","format":"date-time"},"privacyNoticeDateAccepted":{"type":"string","format":"date-time"},"isNewsLetterAccepted":{"type":"boolean"},"validFrom":{"type":"string","format":"date-time"},"address":{"$ref":"#/components/schemas/InitAddress"},"mobilityProviders":{"type":"array","items":{"$ref":"#/components/schemas/MobilityProviderStandardResponse"}}}},"LocalTime":{"type":"object","properties":{"hour":{"type":"integer","format":"int32"},"minute":{"type":"integer","format":"int32"},"second":{"type":"integer","format":"int32"},"nano":{"type":"integer","format":"int32"}}},"MobilityProfile":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"user":{"$ref":"#/components/schemas/User"},"accessibilityEnabled":{"type":"boolean","deprecated":true,"description":"deprecated, new fields are wheelchairAccessible and noStairs"},"deutscheBahnCard":{"type":"string"},"disabledProviders":{"type":"array","items":{"type":"string"}},"walkRange":{"type":"number","format":"double"},"bikeRange":{"type":"number","format":"double"},"walkSpeed":{"type":"number","format":"double"},"bikeSpeed":{"type":"number","format":"double"},"intermodalRoutingEnabled":{"type":"boolean"},"publicTransportLongDistanceEnabled":{"type":"boolean"},"wheelchairAccessible":{"type":"boolean"},"noStairs":{"type":"boolean"}}},"MobilityProviderStandardResponse":{"type":"object","properties":{"mobilityProviderNumber":{"type":"integer","format":"int64"},"mobilityProviderName":{"type":"string"},"acceptTermsAndConditions":{"type":"string"},"externalCustomerReference":{"type":"string"},"state":{"type":"string"},"hasASubscription":{"type":"boolean"},"subscriptionReference":{"type":"string"},"subscriptionValidUntil":{"type":"string"},"driverLicense":{"$ref":"#/components/schemas/DriverLicense"},"subscription":{"$ref":"#/components/schemas/MobilityProviderSubscriptionResponse"}}},"MobilityProviderSubscriptionResponse":{"type":"object","properties":{"SubscriptionReference":{"type":"string"},"subscriptionValidFrom":{"type":"string"},"subscriptionValidUntil":{"type":"string"},"productID":{"type":"string"},"productDescription":{"type":"string"},"zoneID":{"type":"string"},"startZoneID":{"type":"string"},"startZoneDescription":{"type":"string"},"endZoneID":{"type":"string"},"endZoneDescription":{"type":"string"}}},"Point":{"type":"object","properties":{"envelope":{"$ref":"#/components/schemas/Geometry"},"factory":{"$ref":"#/components/schemas/GeometryFactory"},"userData":{"type":"object"},"coordinates":{"type":"array","items":{"$ref":"#/components/schemas/Coordinate"}},"empty":{"type":"boolean"},"simple":{"type":"boolean"},"x":{"type":"number","format":"double"},"y":{"type":"number","format":"double"},"geometryType":{"type":"string"},"coordinateSequence":{"$ref":"#/components/schemas/CoordinateSequence"},"coordinate":{"$ref":"#/components/schemas/Coordinate"},"numPoints":{"type":"integer","format":"int32"},"boundary":{"$ref":"#/components/schemas/Geometry"},"boundaryDimension":{"type":"integer","format":"int32"},"dimension":{"type":"integer","format":"int32"},"length":{"type":"number","format":"double"},"valid":{"type":"boolean"},"srid":{"type":"integer","format":"int32"},"numGeometries":{"type":"integer","format":"int32"},"precisionModel":{"$ref":"#/components/schemas/PrecisionModel"},"rectangle":{"type":"boolean"},"area":{"type":"number","format":"double"},"centroid":{"$ref":"#/components/schemas/Point"},"interiorPoint":{"$ref":"#/components/schemas/Point"},"envelopeInternal":{"$ref":"#/components/schemas/Envelope"}}},"PrecisionModel":{"type":"object","properties":{"scale":{"type":"number","format":"double"},"type":{"$ref":"#/components/schemas/Type"},"floating":{"type":"boolean"},"offsetX":{"type":"number","format":"double"},"offsetY":{"type":"number","format":"double"},"maximumSignificantDigits":{"type":"integer","format":"int32"}}},"QuickStart":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"jsonValue":{"type":"string"}}},"StopEvent":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"},"ifopt":{"type":"string"},"lat":{"type":"number","format":"double"},"lng":{"type":"number","format":"double"},"location":{"type":"boolean"}},"required":["name"]},"TriasReportEntity":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"referencedId":{"type":"integer","format":"int32"},"type":{"type":"string","enum":["CONNECTION_REQUEST_ERROR","CONNECTION_OK","CONNECTION_NOT_FOUND","CONNECTION_CANCELLED","CONNECTION_TIME_DIFFERENCE_DEPARTURE","CONNECTION_TIME_DIFFERENCE_ARRIVAL","CONNECTION_DIFFERENT_NUMBER_OF_CHANGES","CONNECTION_SHOULD_NOT_HAPPEN_DIFFERENT_SCHEDULED_DEPARTURE_TIME","CONNECTION_SHOULD_NOT_HAPPEN_DIFFERENT_SCHEDULED_ARRIVAL_TIME","PART_TIME_DIFFERENCE_DEPARTURE","PART_TIME_DIFFERENCE_ARRIVAL","PART_SHOULD_NOT_HAPPEN_DIFFERENT_SCHEDULED_DEPARTURE_TIME","PART_SHOULD_NOT_HAPPEN_DIFFERENT_SCHEDULED_ARRIVAL_TIME","PART_DIFFERENT_LINE_NUMBER","PART_DIFFERENT_VEHICLE_ID","PART_DIFFERENT_ARRIVAL_BAY","PART_DIFFERENT_DEPARTURE_BAY"]},"createdOrUpdatedAt":{"type":"string","format":"date-time"},"minuteDifference":{"type":"integer","format":"int64"},"scheduledLineNumber":{"type":"string"},"realLineNumber":{"type":"string"},"scheduledVehicleId":{"type":"string"},"realVehicleId":{"type":"string"},"bay":{"type":"string"}},"required":["referencedId","type"]},"Type":{"type":"object"},"User":{"type":"object","properties":{"id":{"type":"string"},"mobilityProfile":{"$ref":"#/components/schemas/MobilityProfile"},"favoriteLocations":{"type":"array","items":{"$ref":"#/components/schemas/FavoriteLocation"}},"commutingConnections":{"type":"array","items":{"$ref":"#/components/schemas/CommutingConnection"}},"favoriteConnectionSearch":{"type":"array","items":{"$ref":"#/components/schemas/FavoriteConnectionSearch"}},"initProfile":{"$ref":"#/components/schemas/InitProfile"},"appRating":{"$ref":"#/components/schemas/AppRating"},"hasDTicketUni":{"type":"boolean"},"quickStart":{"$ref":"#/components/schemas/QuickStart"},"highqId":{"type":"string"}},"required":["id"]},"TermsOfServiceUpdateBody":{"type":"object","properties":{"acceptTermsAndConditions":{"type":"string","format":"date-time"}}},"PaymentPostPutRequestBody":{"type":"object","properties":{"URLOnSuccess":{"type":"string","maxLength":2048,"minLength":0},"URLForCancellation":{"type":"string","maxLength":2048,"minLength":0},"PaymentMethod":{"type":"string","enum":["NONE","CREDIT_CARD","DIRECT_DEBI","PRE_PAY"]}},"required":["URLForCancellation","URLOnSuccess"]},"PaymentPostPutResponseBody":{"type":"object","properties":{"url":{"type":"string"}}},"AccountBalance":{"type":"object","properties":{"value":{"type":"number","format":"double"}}},"Payment":{"type":"object","properties":{"stateCustomerAccount":{"type":"string"},"paymentMethods":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethod"}},"accountBalance":{"$ref":"#/components/schemas/AccountBalance"}}},"PaymentMethod":{"type":"object","properties":{"isFavorite":{"type":"boolean"},"paymentMethodId":{"type":"string"},"label":{"type":"string"},"description":{"type":"string"}}},"MobilityProviderUpdateBody":{"type":"object","discriminator":{"propertyName":"mobilityProviderNumber"},"properties":{"mobilityProviderNumber":{"type":"string"},"acceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"pinCode":{"type":"string","description":"Pin code for Nextbike account link Required only for Nextbike if the customer already have an account by Nextbike."},"ibanPattern":{"type":"string","description":"Last five digits of the IBAN, used to link KVV subscriptions to RegioMove."},"customerAccountReference":{"type":"string","description":"KVV customer account reference, used to link KVV subscriptions to RegioMove."}}},"MobilityProviderUpdateBodyFairtiq":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."}}}],"required":["AcceptTermsAndConditions"]},"MobilityProviderUpdateBodyIoki":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."}}}],"required":["AcceptTermsAndConditions"]},"MobilityProviderUpdateBodyKVV":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"IBANPattern":{"type":"string","description":"Last five digits of the IBAN, used to link KVV subscriptions to RegioMove."},"CustomerAccountReference":{"type":"string","description":"KVV customer account reference, used to link KVV subscriptions to RegioMove."}}}],"required":["CustomerAccountReference","IBANPattern"]},"MobilityProviderUpdateBodyNextbike":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"PinCode":{"type":"string","description":"Pin code for Nextbike account link Required only for Nextbike if the customer already have an account by Nextbike."}}}],"required":["PinCode"]},"MobilityProviderUpdateBodyTGO":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."}}}]},"MobilityProviderUpdateBodyVoi":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."}}}],"required":["AcceptTermsAndConditions"]},"MobilityProviderUpdateBodyZeo":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderUpdateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"IdentityNumber":{"type":"string"},"BirthPlace":{"type":"string"},"DriverLicenseNumber":{"type":"string","description":"Required for Stadtmobil"},"DriverLicenseIssued":{"type":"string","format":"date-time","description":"Required for Stadtmobil"},"DriverLicenseIssuedPlace":{"type":"string","description":"Optional for Stadtmobil"},"DriverLicenseAgency":{"type":"string","description":"Required only for Stadtmobil"},"DriverLicenseClassesAllowed":{"type":"string","description":"Required for Stadtmobil"},"DriverLicenseValidUntil":{"type":"string","format":"date-time","description":"represents the last date, in which the driverLicence is valid"},"DriverLicenseValidFrom":{"type":"string","format":"date-time","description":"represents the first date, in which the driverLicence is valid"},"CountryCode":{"type":"string","description":"Two-letter country code according to ISO 3166-1, represents the country, in which the driverLicence was offered."}}}],"required":["AcceptTermsAndConditions","BirthPlace","CountryCode","DriverLicenseAgency","DriverLicenseClassesAllowed","DriverLicenseIssued","DriverLicenseNumber","IdentityNumber"]},"CustomerAccountLockRequest":{"type":"object","properties":{"lockedUntil":{"type":"string","format":"date-time"},"comment":{"type":"string","maxLength":200,"minLength":0}},"required":["lockedUntil"]},"DataProtectionNoticeUpdateBody":{"type":"object","properties":{"dataProtectionNoticeAccepted":{"type":"string","format":"date-time"}}},"ResponseStatusCode":{"type":"object","properties":{"returnedHttpStatusCode":{"type":"integer","format":"int32"}}},"BookingItemUpdateRequestBody":{"type":"object","properties":{"startTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"endTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"}},"required":["endTime","startTime"]},"Booking":{"type":"object","properties":{"bookingId":{"type":"integer","format":"int64"},"bookingDate":{"type":"string","format":"date-time"},"bookingItems":{"type":"array","items":{"$ref":"#/components/schemas/BookingItem"}}}},"BookingItem":{"type":"object","properties":{"bookingItemId":{"type":"integer","format":"int32"},"mobilityProviderNumber":{"type":"string"},"productName":{"type":"string"},"productId":{"type":"string"},"amount":{"type":"number","format":"double"},"bookingType":{"type":"string"},"bookingTypeTime":{"type":"string","format":"date-time"},"rentalState":{"type":"string"},"saleType":{"type":"string"},"startTime":{"type":"string","format":"date-time"},"endTime":{"type":"string","format":"date-time"},"startPlace":{"type":"string"},"endPlace":{"type":"string"},"vehicleReference":{"type":"string"},"latitude":{"type":"number","format":"double"},"longitude":{"type":"number","format":"double"},"featureReference":{"type":"string"},"featureName":{"type":"string"},"featureData":{"type":"object","additionalProperties":{"type":"object"},"properties":{"empty":{"type":"boolean"}}},"bikeType":{"type":"integer","format":"int32"},"refundedBookingItemId":{"type":"integer","format":"int32"},"barcode":{"type":"string"},"startLocation":{"$ref":"#/components/schemas/Location"},"endLocation":{"$ref":"#/components/schemas/Location"},"productType":{"type":"string"},"receivedReference":{"type":"string"},"otherReference":{"type":"string"},"payments":{"type":"array","items":{"$ref":"#/components/schemas/PaymentItem"}},"passengers":{"type":"array","items":{"$ref":"#/components/schemas/PassengerResponse"}},"names":{"type":"array","items":{"type":"string"}}}},"GeoLocation":{"type":"object","properties":{"lng":{"type":"number","format":"double"},"lat":{"type":"number","format":"double"},"Accuracy":{"type":"integer","format":"int32"},"Altitude":{"type":"integer","format":"int32"},"AltitudeAccuracy":{"type":"integer","format":"int32"}}},"Location":{"type":"object","properties":{"GeoLocation":{"$ref":"#/components/schemas/GeoLocation","description":"also accepts parameter in lowerCamelCase"},"StationID":{"type":"string"},"LocationName":{"type":"string"},"Address":{"$ref":"#/components/schemas/InitAddress"}},"required":["GeoLocation"]},"PassengerResponse":{"type":"object","properties":{"type":{"type":"string","enum":["ADULT","CHILD","INFANT"]},"hasTicket":{"type":"boolean","description":"also accepts parameter in lowerCamelCase"},"firstName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"lastName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"wheelchair":{"type":"boolean"},"walker":{"type":"boolean"},"blueBadge":{"type":"boolean"}},"required":["hasTicket","type"]},"PaymentItem":{"type":"object","properties":{"executionTime":{"type":"string","format":"date-time"},"amount":{"type":"integer","format":"int64"},"vatAmount":{"type":"integer","format":"int64"},"vatRate":{"type":"integer","format":"int64"},"reservedAmount":{"type":"integer","format":"int64"},"description":{"type":"string"},"paymentState":{"type":"string","enum":["UNKOWN","ACCEPTED","REJECTED","FAILED","IN_PROGRESS","VOIDED","REFUNDED","CONFIRMATION_PENDING","CANCELED"]},"paymentType":{"type":"string","enum":["UNKNOWN","ORIGINAL_PURCHASE","OPTIONAL_FREE","ADDITIONAL_FEE","REFUND","RESERVATION"]},"id":{"type":"integer","format":"int64"}}},"BookingItemReturnRequestBody":{"type":"object","properties":{"Place":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"FeatureReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"}}},"BookingItemRentRequestBody":{"type":"object","properties":{"vehicleReference":{"type":"string"},"featureData":{"type":"string"},"VehicleReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Pin":{"type":"string","description":"also accepts parameter in lowerCamelCase"}}},"BookingItemBreakRequestBody":{"type":"object","properties":{"End":{"type":"boolean","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"}}},"PinPostBody":{"type":"object","properties":{"Pin":{"type":"string"}},"required":["Pin"]},"HttpStatusResponse":{"type":"object","properties":{"returnedHttpStatusCode":{"type":"integer","format":"int32"}}},"QuickStartPostBody":{"type":"object","properties":{"jsonValue":{"type":"string"}}},"PaymentsReservePostRequestBody":{"type":"object","properties":{"mobilityProviderNumber":{"type":"string","description":"Actually not the MobilityProviderNumber, but the MobilityProviderValue"},"secureElement":{"type":"string","maxLength":64,"minLength":0},"reservationItems":{"type":"array","items":{"$ref":"#/components/schemas/ReservationItem"}}},"required":["mobilityProviderNumber"]},"ReservationItem":{"type":"object","properties":{"amount":{"type":"integer","format":"int32"},"productReference":{"type":"string"}}},"PaymentPayPalPostRequestBody":{"type":"object","properties":{"URLOnSuccess":{"type":"string","maxLength":2048,"minLength":0},"URLForCancellation":{"type":"string","maxLength":2048,"minLength":0},"PaymentMethod":{"type":"string","enum":["NONE","CREDIT_CARD","DIRECT_DEBI","PRE_PAY"]},"URLForNotification":{"type":"string"}},"required":["URLForCancellation","URLOnSuccess"]},"PaymentPayPalPostResponseBody":{"type":"object","properties":{"BillingAgreementToken":{"type":"string"},"ApprovalUrl":{"type":"string"}},"required":["ApprovalUrl"]},"MobilityProviderCreateBody":{"type":"object","discriminator":{"propertyName":"mobilityProviderNumber"},"properties":{"mobilityProviderNumber":{"type":"string"}}},"MobilityProviderCreateBodyFairtiq":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"ProviderReference":{"type":"string","description":"External customer reference, used to link regiomove customer to partner."}}}],"required":["AcceptTermsAndConditions","ProviderReference"]},"MobilityProviderCreateBodyIoki":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."}}}],"required":["AcceptTermsAndConditions"]},"MobilityProviderCreateBodyKVV":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"IBANPattern":{"type":"string","description":"Last five digits of the IBAN, used to link KVV subscriptions to RegioMove."},"CustomerAccountReference":{"type":"string","description":"KVV customer account reference, used to link KVV subscriptions to RegioMove."}}}],"required":["AcceptTermsAndConditions"]},"MobilityProviderCreateBodyNextbike":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"PinCode":{"type":"string","description":"Pin code for Nextbike account link Required only for Nextbike if the customer already have an account by Nextbike."}}}],"required":["AcceptTermsAndConditions"]},"MobilityProviderCreateBodyStadtmobil":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"IdentityNumber":{"type":"string"},"BirthPlace":{"type":"string"},"DriverLicenseNumber":{"type":"string","description":"Required for Stadtmobil"},"DriverLicenseIssued":{"type":"string","description":"Required for Stadtmobil"},"DriverLicenseIssuedPlace":{"type":"string","description":"Optional for Stadtmobil"},"DriverLicenseAgency":{"type":"string","description":"Required only for Stadtmobil"},"DriverLicenseClassesAllowed":{"type":"string","description":"Required for Stadtmobil"},"DriverLicenseValidUntil":{"type":"string","description":"Optional for Stadtmobil"},"DriverLicenseValidFrom":{"type":"string","description":"Optional for Stadtmobil"}}}],"required":["AcceptTermsAndConditions","BirthPlace","DriverLicenseAgency","DriverLicenseClassesAllowed","DriverLicenseIssued","DriverLicenseNumber","IdentityNumber"]},"MobilityProviderCreateBodyTGO":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"MobilityProviderNumber":{"type":"string"},"AcceptTermsAndConditions":{"type":"string"}}}],"required":["AcceptTermsAndConditions","MobilityProviderNumber"]},"MobilityProviderCreateBodyVoi":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."}}}],"required":["AcceptTermsAndConditions"]},"MobilityProviderCreateBodyZeo":{"allOf":[{"$ref":"#/components/schemas/MobilityProviderCreateBody"},{"type":"object","properties":{"AcceptTermsAndConditions":{"type":"string","description":"DateTime of acceptance of the terms and conditions."},"IdentityNumber":{"type":"string","description":"ID of identification document"},"BirthPlace":{"type":"string","description":"birth place on the driver license"},"DriverLicenseNumber":{"type":"string","description":"Number of driver's licence"},"DriverLicenseIssued":{"type":"string","format":"date-time","description":"When was the current drivers licence issued"},"DriverLicenseIssuedPlace":{"type":"string","description":"Ágency issuing the current driver's licence Required "},"DriverLicenseAgency":{"type":"string","description":"Required only for Stadtmobil"},"DriverLicenseClassesAllowed":{"type":"string","description":"which classes does the licence have"},"DriverLicenseValidFrom":{"type":"string","format":"date-time","description":"represents the first date, in which the driverLicence is valid"},"DriverLicenseValidUntil":{"type":"string","format":"date-time","description":"represents the last date, in which the driverLicence is valid"},"CountryCode":{"type":"string","description":"Two-letter country code according to ISO 3166-1, represents the country, in which the driverLicence was offered."}}}],"required":["AcceptTermsAndConditions","BirthPlace","CountryCode","DriverLicenseAgency","DriverLicenseClassesAllowed","DriverLicenseIssued","DriverLicenseNumber","IdentityNumber"]},"MobilityProviderSubscribeBody":{"type":"object","properties":{"IBANPattern":{"type":"string"},"CustomerAccountReference":{"type":"string"}}},"FavoriteConnectionSearchPostBody":{"type":"object","properties":{"name":{"type":"string","description":"optional - for personal favorite connection search"},"time":{"$ref":"#/components/schemas/LocalTime","description":"departure or arrival time, based on given timeEvent"},"timeEvent":{"type":"string","enum":["DEPARTURE","ARRIVAL"]},"relativeSearchDate":{"type":"string","enum":["TODAY","TOMORROW","NOW"]},"departure":{"$ref":"#/components/schemas/StopEventPostBody"},"arrival":{"$ref":"#/components/schemas/StopEventPostBody"}},"required":["arrival","departure","relativeSearchDate","time","timeEvent"]},"StopEventPostBody":{"type":"object","properties":{"name":{"type":"string"},"ifopt":{"type":"string"},"lat":{"type":"number","format":"double"},"lng":{"type":"number","format":"double"},"location":{"type":"boolean"}},"required":["name"]},"UserDeviceBody":{"type":"object","properties":{"token":{"type":"string"}},"required":["token"]},"StudentTicketTokenBody":{"type":"object","properties":{"token":{"type":"string"}},"required":["token"]},"StudentTicket":{"type":"object","description":"representation of d-ticket-uni","properties":{"id":{"type":"integer","format":"int64","description":"unique id of the ticket in SMU"},"referenceId":{"type":"string","description":"unique id of the bought ticket, like a booking number."},"aztecCodeAsBase64":{"type":"string","description":"the actual ticket, which can be scanned by a ticket inspector. PNG of aztec code Base64 encoded","example":"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"},"firstName":{"type":"string","description":"firstname of the student","example":"John"},"lastName":{"type":"string","description":"lastname of the student","example":"Doe"},"validFrom":{"type":"string","format":"date-time","description":"ticket is valid from this date as timestamp in milliseconds(unix time)","example":1727193480000},"validTo":{"type":"string","format":"date-time","description":"ticket is valid until this date as timestamp in milliseconds(unix time)","example":1727193480000},"issuingDate":{"type":"string","format":"date-time","description":"date, on which the ticket was created as timestamp in milliseconds(unix time)","example":1727193480000},"month":{"type":"integer","format":"int32","description":"month, in which the ticket can be used. month as integer between 1-12","example":1},"year":{"type":"integer","format":"int32","description":"year, in which the ticket can be used as four numbered integer","example":2024}}},"ConfirmPayPalRequestBody":{"type":"object","properties":{"BillingAgreementToken":{"type":"string","maxLength":64,"minLength":0}},"required":["BillingAgreementToken"]},"CommutingConnectionPartSmuRequestBody":{"type":"object","properties":{"vehicleId":{"type":"string"},"vehicleLineNumber":{"type":"string"},"departureStationId":{"type":"string"},"arrivalStationId":{"type":"string"},"scheduledDepartureTime":{"$ref":"#/components/schemas/LocalTime"},"scheduledArrivalTime":{"$ref":"#/components/schemas/LocalTime"},"lineColor":{"type":"string"}},"required":["arrivalStationId","departureStationId","scheduledArrivalTime","scheduledDepartureTime","vehicleId","vehicleLineNumber"]},"CommutingConnectionSmuRequestBody":{"type":"object","properties":{"fromLat":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":90.0,"minimum":-90.0},"fromLng":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":180.0,"minimum":-180.0},"toLat":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":90.0,"minimum":-90.0},"toLng":{"type":"number","format":"double","description":"alternative coordinates for alternative routes, if something is wrong with the pendler pilot connection","maximum":180.0,"minimum":-180.0},"footwayDepartureLat":{"type":"number","format":"double","description":"optional - if connection starts with footway, put in the departureLat","maximum":90.0,"minimum":-90.0},"footwayDepartureLng":{"type":"number","format":"double","description":"optional - if connection starts with footway, put in the departureLng","maximum":180.0,"minimum":-180.0},"footwayDepartureTime":{"$ref":"#/components/schemas/LocalTime","description":"optional - if connection starts with footway, put in the departureTime"},"footwayArrivalLat":{"type":"number","format":"double","description":"optional - if connection ends with footway, put in the arrivalLat","maximum":90.0,"minimum":-90.0},"footwayArrivalLng":{"type":"number","format":"double","description":"optional - if connection ends with footway, put in the arrivalLng","maximum":180.0,"minimum":-180.0},"footwayArrivalTime":{"$ref":"#/components/schemas/LocalTime","description":"optional - if connection starts with footway, put in the arrivalTime"},"departureName":{"type":"string","description":"name of the departure place, to show it in the app. This may be the station name or address"},"arrivalName":{"type":"string","description":"name of the arrival place, to show it in the app. This may be the station name or address"},"notificationType":{"type":"string","enum":["ALWAYS_NOTIFY","NOTIFY_ON_DEVIATION","NOTIFICATION_DISABLED"]},"preTripCheckWindow":{"type":"integer","format":"int64","description":"determines the pre query window before trip start. unit in minutes","maximum":120,"minimum":10},"operationWeekDays":{"type":"array","description":"week days on which the connection notification are send. Week days are represent in numbers following ISO 8601. 1(Monday) - 7(Sunday). Please note, statuary and sunday are not allowed with other week days","example":[1,2,3,4,5],"items":{"type":"integer","format":"int32"},"uniqueItems":true},"name":{"type":"string"},"commutingConnectionParts":{"type":"array","items":{"$ref":"#/components/schemas/CommutingConnectionPartSmuRequestBody"}}},"required":["arrivalName","commutingConnectionParts","departureName","fromLat","fromLng","name","notificationType","operationWeekDays","preTripCheckWindow","toLat","toLng"]},"BikeSharingTrip":{"type":"object","properties":{"MobilityProviderNumber":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"},"FeatureReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"BikeType":{"type":"integer","format":"int32","description":"also accepts parameter in lowerCamelCase"},"StartTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"EndTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"StartPlace":{"type":"string","description":"also accepts parameter in lowerCamelCase"}},"required":["BikeType","MobilityProviderNumber","StartPlace"]},"BookingRequestBody":{"type":"object","properties":{"bookingOption":{"type":"string","description":"also accepts parameter in lowerCamelCase","enum":["UNKNOWN","BOOKING","PRICEREQUEST","RESERVATION"]},"IsBooking":{"type":"boolean","description":"also accepts parameter in lowerCamelCase"},"SecureElement":{"type":"string","description":"also accepts parameter in lowerCamelCase","maxLength":64,"minLength":0},"BikeSharingTrips":{"type":"array","description":"also accepts parameter in lowerCamelCase","items":{"$ref":"#/components/schemas/BikeSharingTrip"}},"PublicTransportTrips":{"type":"array","description":"also accepts parameter in lowerCamelCase","items":{"$ref":"#/components/schemas/PublicTransportTrip"}},"CarSharingTrips":{"type":"array","description":"also accepts parameter in lowerCamelCase","items":{"$ref":"#/components/schemas/CarSharingTrip"}},"ScooterSharingTrips":{"type":"array","description":"also accepts parameter in lowerCamelCase","items":{"$ref":"#/components/schemas/ScooterSharingTrip"}},"IokiTrip":{"$ref":"#/components/schemas/IokiTrip","description":"also accepts parameter in lowerCamelCase"},"PublicTransportZoneTrips":{"type":"array","description":"also accepts parameter in lowerCamelCase","items":{"$ref":"#/components/schemas/PublicTransportZoneTrip"}}}},"CarSharingTrip":{"type":"object","properties":{"MobilityProviderNumber":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"},"FeatureReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"StartTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"EndTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"StartPlace":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"EndPlace":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"VehicleId":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"PlannedDistance":{"type":"integer","format":"int32","description":"also accepts parameter in lowerCamelCase"}},"required":["EndTime","MobilityProviderNumber","StartTime","VehicleId"]},"IokiTrip":{"type":"object","properties":{"MobilityProviderNumber":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"},"FeatureReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"StartTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"ProductRegion":{"type":"string","description":"Location the ioki trip takes place. Also accepts parameter in lowerCamelCase"},"StorageSpace":{"type":"integer","format":"int32","description":"also accepts parameter in lowerCamelCase","minimum":0},"StartLocation":{"$ref":"#/components/schemas/Location"},"EndLocation":{"$ref":"#/components/schemas/Location"},"Passengers":{"type":"array","items":{"$ref":"#/components/schemas/PassengerRequest"}}},"required":["EndLocation","MobilityProviderNumber","Passengers","ProductRegion","StartLocation","StartTime","StorageSpace"]},"PassengerRequest":{"type":"object","properties":{"Type":{"type":"string","enum":["ADULT","CHILD","INFANT"]},"HasTicket":{"type":"boolean","description":"also accepts parameter in lowerCamelCase"},"FirstName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"LastName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Wheelchair":{"type":"boolean"},"Walker":{"type":"boolean"},"BlueBadge":{"type":"boolean"}},"required":["HasTicket","Type"]},"PublicTransportTrip":{"type":"object","properties":{"MobilityProviderNumber":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"},"FeatureReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"StartTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"StartingStation":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FinalStation":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"TicketId":{"type":"string","description":"also accepts parameter in lowerCamelCase","maxLength":8,"minLength":0},"NumberOfPassengers":{"type":"integer","format":"int32","description":"also accepts parameter in lowerCamelCase"},"NumberOfZones":{"type":"integer","format":"int32","description":"also accepts parameter in lowerCamelCase"},"Price":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"}},"required":["MobilityProviderNumber","NumberOfPassengers","NumberOfZones","StartingStation","TicketId"]},"PublicTransportZoneTrip":{"type":"object","properties":{"MobilityProviderNumber":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"},"FeatureReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"StartZone":{"type":"string"},"TargetZone":{"type":"string"},"StartTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"TicketId":{"type":"string","description":"also accepts parameter in lowerCamelCase","maxLength":8,"minLength":0},"NumberOfPassengers":{"type":"integer","format":"int32","description":"also accepts parameter in lowerCamelCase"},"NumberOfZones":{"type":"integer","format":"int32","description":"also accepts parameter in lowerCamelCase"},"Price":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"},"Names":{"type":"array","description":"also accepts parameter in lowerCamelCase","items":{"type":"string"}}},"required":["MobilityProviderNumber","NumberOfPassengers","NumberOfZones","TicketId"]},"ScooterSharingTrip":{"type":"object","properties":{"MobilityProviderNumber":{"type":"integer","format":"int64","description":"also accepts parameter in lowerCamelCase"},"FeatureReference":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureName":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"FeatureData":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"Latitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"Longitude":{"type":"number","format":"double","description":"also accepts parameter in lowerCamelCase"},"VehicleId":{"type":"string","description":"also accepts parameter in lowerCamelCase"},"StartTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"},"EndTime":{"type":"string","format":"date-time","description":"also accepts parameter in lowerCamelCase"}},"required":["MobilityProviderNumber","VehicleId"]},"HighqRequestBody":{"type":"object","properties":{"highqId":{"type":"string"}}},"DeutscheBahnCardRequestBody":{"type":"object","properties":{"deutscheBahnCard":{"type":"string"}}},"FavoriteConnectionSearchPatchBody":{"type":"object","properties":{"time":{"$ref":"#/components/schemas/LocalTime"},"timeEvent":{"type":"string","enum":["DEPARTURE","ARRIVAL"]},"relativeSearchDate":{"type":"string","enum":["TODAY","TOMORROW","NOW"]},"name":{"type":"string"}}},"CommutingConnectionPatchBody":{"type":"object","properties":{"notificationType":{"type":"string","enum":["ALWAYS_NOTIFY","NOTIFY_ON_DEVIATION","NOTIFICATION_DISABLED"]},"preTripCheckWindow":{"type":"integer","format":"int64","description":"determines the pre query window before trip start. unit in minutes","maximum":120,"minimum":10},"operationWeekDays":{"type":"array","description":"week days on which the connection notification are send. Week days are represent in numbers following ISO 8601. 1(Monday) - 7(Sunday). Please note, statuary and sunday are not allowed with other week days","example":[1,2,3,4,5],"items":{"type":"integer","format":"int32"},"uniqueItems":true},"name":{"type":"string"}}},"ExternalBooking":{"type":"object","properties":{"references":{"$ref":"#/components/schemas/References"},"price":{"type":"number","format":"double"},"vatAmount":{"type":"integer","format":"int32"},"vatRate":{"type":"integer","format":"int32"},"startTime":{"type":"string","format":"date-time"},"endTime":{"type":"string","format":"date-time"},"startPlace":{"type":"string"},"endPlace":{"type":"string"},"completed":{"type":"boolean"},"customerName":{"type":"string"},"birthdate":{"type":"string","format":"date-time"},"productCode":{"type":"string"},"productName":{"type":"string"},"productIdentifier":{"type":"string"},"barCode":{"type":"string"},"barCodeType":{"type":"string"},"status":{"type":"string","description":"We do not know, which values sends us the init, but highq has following values: (1 - vorbereitet, 2 - gekauft, 3 - teilentwertet, 4 - entwertet, 5 - gesperrt, 6 - gekuendigt)"},"currentSubscriptionStatus":{"type":"string"},"validFrom":{"type":"string","format":"date-time"},"validTo":{"type":"string","format":"date-time"},"goolgeWalletUrl":{"type":"string"},"appleWalletUrl":{"type":"string"},"issuingDate":{"type":"string","format":"date-time"}}},"ExternalBookingResponse":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int32","description":"amount of all bookings including those, which are not valid"},"result":{"type":"array","description":"list of valid external bookings","items":{"$ref":"#/components/schemas/ExternalBooking"}}}},"References":{"type":"object","properties":{"subscriptionId":{"type":"string"},"productId":{"type":"string"},"ticketId":{"type":"string"},"employeeNumber":{"type":"string"},"matriculationNumber":{"type":"string"}}},"BookingResponse":{"type":"object","properties":{"totalCount":{"type":"integer","format":"int32"},"result":{"type":"array","items":{"$ref":"#/components/schemas/Booking"}}}}}}}